8

I tried to install wine using these commands:

sudo apt-get install -y wine

And:

sudo apt-get install wine

But terminal says that:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package wine is a virtual package provided by:
  winehq-staging 2.16.0~zesty
  winehq-stable 2.0.2~zesty
  winehq-devel 2.16.0~zesty
  wine-development 2.0-3ubuntu1
You should explicitly select one to install.

E: Package 'wine' has no installation candidate

So there are 4 different version of wine... What is the difference between these versions... And Which one is better?

I wanted to install Internet explorer from it,And i installed winehq-stable ,But I couldn't see that between applications in Winetricks... Is the other versions of wine has more applications to install?what is difference?

10

Here the difference between the packages:

  • winehq-staging: this is the most recent testing wine version.
  • winehq-stable: this is the current stable wine version (probably the one you should install)
  • winehq-devel: this package is used to provide development headers, mostly used by third party software compilation.
  • wine-development: unsure for this one, but probably helps wine developers to debug EXE running with wine with more debug information.

I can also recommand to use PlayOnLinux that provide automated install of many Windows Application by using the most appropriate wine version.

| improve this answer | |
2

To run Windows applications on Ubuntu through Wine you can choose between two versions of Wine (as of Ubuntu 18.04 LTS), based on features Vs reliability:

  • wine-stable: is the most tested and reliable version, so you won't expect sudden crashes. But it's also somehow "older", so several new features might be missing, and new apps might not work.
    See https://wiki.winehq.org/Stable_Rules
  • wine-development: is the most recent version available, with more recent features. New software might work, but these new features might break old ones.

As suggested in wine FAQ page, you should try which one works better for your needs (i.e. for the software you need to run). On Ubuntu you can install and run both versions at the same time.

You can refer the Wine AppDB to get information on compatibility.

If something is known to work with an old version of wine-stable, it should also work on newer wine-stable releases, but might not work on recent wine-development releases.

If something doesn't work on wine-stable, try wine-development.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.